aboutsummaryrefslogtreecommitdiff
path: root/x/shrc.d/x.sh
diff options
context:
space:
mode:
Diffstat (limited to 'x/shrc.d/x.sh')
-rw-r--r--x/shrc.d/x.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/x/shrc.d/x.sh b/x/shrc.d/x.sh
new file mode 100644
index 00000000..ed921c68
--- /dev/null
+++ b/x/shrc.d/x.sh
@@ -0,0 +1,7 @@
+# Most systems won't have X, so we'll only define this if we have startx(1)
+command -v startx >/dev/null 2>&1 || return
+
+# Quick one-key command to launch an X session
+x() {
+ exec startx "$@"
+}